Skip to main content
`Ctrl`+`K`

# DMGetType

Gets the `DM` type name (as a string) from the `DM`.

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetType(DM dm, DMType *type)

Not Collective

## Input Parameter

- dm - The `DM`

## Output Parameter

- type - The `DMType` name

## Note

`type` should not be retained for later use as it will be an invalid pointer if the `DMType` of `dm` is changed.

## See Also

DM Basics, `DM`, `DMType`, `DMDA`, `DMPLEX`, `DMSetType()`, `DMCreate()`, `PetscObjectTypeCompare()`, `PetscObjectTypeCompareAny()`

## Level

intermediate

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages